package com.pcloud.book.group.vo;

import java.util.List;

import javax.validation.constraints.NotNull;

import com.pcloud.book.group.entity.ResourcePageBookstore;
import com.pcloud.book.group.entity.ResourcePageMarketingActivity;
import com.pcloud.book.group.entity.ResourcePageModel;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * @ClassName com.pcloud.book.group.vo.UpdateResourcePageVO
 * @Author zhuyajie
 * @Description H5资源页修改
 * @Date 2021/3/26 16:55
 * @Version 1.0
 **/
@Data
public class UpdateResourcePageVO {

    /**
     * rays码id
     */
    private Long bookGroupId;
    /**
     * 风格类型（1默认2艺术3插画）
     */
    private Integer style;
    /**
     * 是否显示图书信息
     */
    private Integer showBook;
    /**
     * 是否开启小睿流程
     */
    private Integer openRays;
    /**
     * 是否开启世间食记
     */
    private Integer openFood;
    /**
     * 创建人
     */
    private Long createUser;
    /**
     * 二维码id
     */
    private Long sceneId;

    @ApiModelProperty("栏目内容")
    private List<UpdateResourceColumnVO> columnVOS;

    /**
     * 自定义配置的图书封面
     */
    private String bookCover;

    /**
     * 背景图
     */
    private String backgroundImg;

    @ApiModelProperty("实体书购买")
    private List<ResourcePageBookstore> resourcePageBookstoreList;

    @ApiModelProperty("优惠券")
    private List<ResourcePageBookstore> resourcePageCouponList;

    @ApiModelProperty("营销活动")
    private List<ResourcePageMarketingActivity> resourcePageMarketingActivityList;

    /**
     * 字体颜色
     */
    private String fontColor;

    /**
     * 图书印章
     */
    private String watermark;

    /**
     * 图书印章样式
     */
    private Integer watermarkStyle;

    @ApiModelProperty("RAYS码落地页类型1本书服务2企微")
    private Integer landingPageType;

    /**
     * 透明度 非小睿码生效
     */
    private Integer transparency;

    /**
     * 是否展示价格
     */
    private Integer isShowPrice;

    @ApiModelProperty("图书标准服务")
    private List<ResourcePageModel> resourcePageModelList;

    /**
     * 纯色背景颜色
     */
    private String bgColor;

    /**
     * 展示我的页面
     */
    private Boolean showSelf;

    /**
     * 展示收藏
     */
    private Boolean showCollect;

    /**
     * 展示分享
     */
    private Boolean showShare;

    /**
     * 新版编辑器
     */
    private Boolean newEditor;
}
